आयात त्रुटि: पाइप नाम का कोई मॉड्यूल नहीं

| | | | | | | | | | | | | | | | | | | |

OS: Mac OS X 10.7.5 Python Ver: 2.7.5

मैंने https://pypi.python.org/pypi/setuptools फिर मैं https://pypi.python.org/pypi/pip/1.4.1

रन (sudo) python setup.py install से पता चलता है कि

इंस्टॉल चल रहा है bdist_egg चल रहा है egg_info को pip.egg-info/requires पर लिखने की आवश्यकता है .txt pip.egg-info/PKG-INFO लिखना pip.egg-info/top_level.txt पर शीर्ष-स्तरीय नाम लिखना pip.egg-info/dependency_links.txt के लिए निर्भरता_लिंक लिखना pip.egg-info/entry_points के लिए प्रविष्टि बिंदु लिखना .txt चेतावनी: मेनिफेस्ट_मेकर: मानक फ़ाइल "setup.py" मेनिफ़ेस्ट फ़ाइल पढ़ते हुए नहीं मिली .macosx-10.6-इंच टेल/एग रनिंग इंस्टाल_लिब चेतावनी: इंस्टाल_लिब: "बिल्ड/लिब" मौजूद नहीं है - बिल्ड/bdist.macosx-10.6-इंटेल/एग क्रिएटिंग बिल्ड/bdist.macosx-10.6-इंटेल/एग/ईजीजी बनाने के लिए कोई पायथन मॉड्यूल नहीं है। -INFO नकल pip.egg-info/PKG-INFO -> build/bdist.macosx-10.6-intel/egg/EGG-INFO कॉपी pip.egg-info/SOURCES.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO pip.egg-info/dependency_links.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO pip.egg-info/entry_points.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO कॉपी pip.egg-info/not-zip-safe -> build/bdist.macosx-10.6-intel/egg/EGG-INFO कॉपी pip.egg-info/requires.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO pip.egg-info/top_level.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO "dist/pip-1.4.1-py2.7.egg" बना रहा है और इसमें "build/bdist.macosx-10.6-intel/egg" जोड़ रहा है। build/bdist.macosx-10.6-intel/egg" (और इसके तहत सब कुछ) pip-1.4.1-py2.7.egg को प्रोसेस करना "/Users/dl/Library/Python/2.7/lib/python/site-packages को हटाना" /pip-1.4.1-py2.7.egg" (और इसके तहत सब कुछ) बनाना /Users/dl/Library/Python/2.7/lib/python/site-packages/pip-1.4.1-py2.7.egg pip-1.4.1-py2.7.egg को /Users/dl/Library/Python/2.7/lib/python/site-packages pip 1.4.1 में निकालना easy-install.pth में पहले से ही सक्रिय संस्करण है। /उपयोगकर्ता/डीएल/लाइब्रेरी/पायथन/2.7/बिन पीआईपी-2.7 स्क्रिप्ट को/उपयोगकर्ता/डीएल/लाइब्रेरी/पायथन/2.7/बिन स्थापित/उपयोगकर्ता/डीएल/लाइब्रेरी/पायथन/2.7/lib/पायथन/साइट-पैकेज/ pip-1.4.1-py2.7.egg pip==1.4.1 के लिए प्रसंस्करण निर्भरता pip==1.4.1 

फिर मैंने pip install< को इनपुट किया /कोड>, त्रुटि संदेश इस तरह दिखाया गया है

ट्रेसबैक (सबसे हालिया कॉल अंतिम): फ़ाइल "/Library/Frameworks/Python.framework/Versions/2.7/bin/pip", लाइन 9, <मॉड्यूल> load_entry_point("pip==1.4.1", "console_scripts", "pip")() फ़ाइल "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", लाइन 357, load_entry_point फ़ाइल "बिल्ड/बडिस्ट" में .macosx-10.6-intel/egg/pkg_resources.py", लाइन 2394, load_entry_point फ़ाइल में "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", लाइन 2108, लोड में ImportError: पाइप < नामक कोई मॉड्यूल नहीं /code>

कोई भी व्यक्ति जो पहले भी इसी समस्या का सामना कर चुका हो और मुझे इसे हल करने के लिए कुछ सुझाव दे सकता है?